XMLWriter::startAttributeNS
XMLWriter::startCData
XMLWriter Functions
PHP Manual

# XMLWriter::startAttribute

# xmlwriter_start_attribute

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::startAttribute -- xmlwriter_start_attribute — Create start attribute

### Description

Object oriented style

bool XMLWriter::startAttribute ( string `$name` )

Procedural style

bool xmlwriter_start_attribute ( resource `$xmlwriter` , string `$name` )

Starts an attribute.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The attribute name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startAttributeNS() - Create start namespaced attribute
- XMLWriter::endAttribute() - End attribute
- XMLWriter::writeAttribute() - Write full attribute
- XMLWriter::writeAttributeNS() - Write full namespaced attribute

XMLWriter::startAttributeNS
XMLWriter::startCData
XMLWriter Functions
PHP Manual